//
//  SpeakEleProgressHeaderView.swift
//  SpeakEasyLearnEnglish
//
//  Created by mac on 2025/7/16.
//

import UIKit

class SpeakEleProgressHeaderView: UIView {

    lazy var titleLabel: UILabel = {
        let label = UILabel()
        label.textColor = .black
        label.font = UIFont.montserrat(.bold ,size: 28)
        label.text = "Progress"
        return label
    }()
    
    lazy var signBtn: UIButton = {
        let back = UIButton(type: .custom)
        back.setImage(UIImage(named: "sp-progress-Mfire"), for: .normal)
        back.titleLabel?.font = UIFont.montserrat(.medium ,size: 14)
        back.setTitle("3", for: .normal)
        back.setTitleColor(UIColor.init(with: "#FFB200"), for: .normal)
        return back
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        self.backgroundColor = .clear
        setupUI()
    }
    
    @available(*, unavailable)
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func setupUI() {
        addSubview(titleLabel)
        addSubview(signBtn)
        
        titleLabel.snp.makeConstraints { make in
            make.left.equalToSuperview().offset(24)
            make.top.equalTo(0)
        }
        
        signBtn.snp.makeConstraints { make in
            make.height.equalTo(32)
            make.right.equalTo(-24)
            make.width.equalTo(55)
            make.centerY.equalTo(titleLabel)
        }
    }

}
